Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
faiss::Distance2xXPQ4 Struct Reference
Inheritance diagram for faiss::Distance2xXPQ4:

## Public Member Functions
| Distance2xXPQ4 (const Index2Layer &storage)
float | operator() (storage_idx_t i) override
Public Member Functions inherited from faiss::Distance2Level
| Distance2Level (const Index2Layer &storage)
float | symmetric_dis (storage_idx_t i, storage_idx_t j) override
void | set_query (const float *x) override
| called before computing distances
Public Member Functions inherited from faiss::HNSW::DistanceComputer
virtual float | operator() (storage_idx_t i)=0
| compute distance of vector i to current query
virtual float | symmetric_dis (storage_idx_t i, storage_idx_t j)=0
| compute distance between two stored vectors

## Public Attributes
int | M_2
int | mi_nbits
Public Attributes inherited from faiss::Distance2Level
const Index2Layer & | storage
std::vector< float > | buf
const float * | q
const float * | pq_l1_tab
const float * | pq_l2_tab
Public Attributes inherited from faiss::HNSW::DistanceComputer
idx_t | d

## Detailed Description

Definition at line 1902 of file IndexHNSW.cpp.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/IndexHNSW.cpp